Bug 971306 - [abrt] testdisk-6.13-6.fc19: strcat: Process /usr/bin/testdisk was killed by signal 6 (SIGABRT)
[abrt] testdisk-6.13-6.fc19: strcat: Process /usr/bin/testdisk was killed by ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: testdisk (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe GRENIER
Fedora Extras Quality Assurance
abrt_hash:e040a6f2f852b6d6a5e6d1bf4fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 05:04 EDT by Ladislav Jozsa
Modified: 2013-09-22 20:50 EDT (History)
1 user (show)

See Also:
Fixed In Version: testdisk-6.14-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:26:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (9.80 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: cgroup (137 bytes, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: core_backtrace (1.73 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: dso_list (1.35 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: environ (2.20 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: maps (6.59 KB, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: open_fds (171 bytes, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: proc_pid_status (900 bytes, text/plain)
2013-06-06 05:04 EDT, Ladislav Jozsa
no flags Details
File: var_log_messages (1.47 KB, text/plain)
2013-06-06 05:05 EDT, Ladislav Jozsa
no flags Details

  None (edit)
Description Ladislav Jozsa 2013-06-06 05:04:27 EDT
Description of problem:


Version-Release number of selected component:
testdisk-6.13-6.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        testdisk /dev/sdc
crash_function: strcat
executable:     /usr/bin/testdisk
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 strcat at /usr/include/bits/string3.h:142
 #7 set_MD_info at md.c:299
 #8 check_MD at md.c:81
 #9 check_part_i386 at parti386.c:1557
 #10 i386_entry2partition at parti386.c:1107
 #11 get_ext_data_i386 at parti386.c:579
 #12 read_part_i386 at parti386.c:408
 #13 autodetect_arch at partauto.c:84
 #14 testdisk_disk_selection_ncurses at tdisksel.c:193
 #15 do_curses_testdisk at tdisksel.c:263
Comment 1 Ladislav Jozsa 2013-06-06 05:04:31 EDT
Created attachment 757558 [details]
File: backtrace
Comment 2 Ladislav Jozsa 2013-06-06 05:04:34 EDT
Created attachment 757559 [details]
File: cgroup
Comment 3 Ladislav Jozsa 2013-06-06 05:04:37 EDT
Created attachment 757560 [details]
File: core_backtrace
Comment 4 Ladislav Jozsa 2013-06-06 05:04:41 EDT
Created attachment 757561 [details]
File: dso_list
Comment 5 Ladislav Jozsa 2013-06-06 05:04:44 EDT
Created attachment 757562 [details]
File: environ
Comment 6 Ladislav Jozsa 2013-06-06 05:04:47 EDT
Created attachment 757563 [details]
File: limits
Comment 7 Ladislav Jozsa 2013-06-06 05:04:50 EDT
Created attachment 757564 [details]
File: maps
Comment 8 Ladislav Jozsa 2013-06-06 05:04:54 EDT
Created attachment 757565 [details]
File: open_fds
Comment 9 Ladislav Jozsa 2013-06-06 05:04:59 EDT
Created attachment 757566 [details]
File: proc_pid_status
Comment 10 Ladislav Jozsa 2013-06-06 05:05:03 EDT
Created attachment 757567 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-09-10 16:58:03 EDT
testdisk-6.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/testdisk-6.14-1.fc20
Comment 12 Fedora Update System 2013-09-10 17:32:43 EDT
testdisk-6.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/testdisk-6.14-1.fc19
Comment 13 Fedora Update System 2013-09-11 12:59:02 EDT
Package testdisk-6.14-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing testdisk-6.14-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16428/testdisk-6.14-1.fc20
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-09-22 00:26:20 EDT
testdisk-6.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-09-22 20:50:00 EDT
testdisk-6.14-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.